require File.expand_path('../support/helpers', __FILE__)

describe_recipe "logentries-rsyslog::default" do
  include Helpers::LogentriesTest

  it "creates /etc/rsyslog.d/10-logentries.conf" do
    file("/etc/rsyslog.d/10-logentries.conf").must_exist
    file("/etc/rsyslog.d/10-logentries.conf").must_include '# Generated by Chef'
    file("/etc/rsyslog.d/10-logentries.conf").must_include '$template LogentriesFormat,"1a2b3c %HOSTNAME% %syslogtag%%msg%\n"'

    if node['logentries']['enable_tls']
      file("/etc/rsyslog.d/10-logentries.conf").must_include '$DefaultNetstreamDriverCAFile /etc/syslog.logentries.crt'
      file("/etc/rsyslog.d/10-logentries.conf").must_include '$ActionSendStreamDriver gtls'
      file("/etc/rsyslog.d/10-logentries.conf").must_include '$ActionSendStreamDriverMode 1'
      file("/etc/rsyslog.d/10-logentries.conf").must_include '*.*     @@api.logentries.com:20000;LogentriesFormat'
    else
      file("/etc/rsyslog.d/10-logentries.conf").wont_include '$ActionSendStreamDriver gtls'
      file("/etc/rsyslog.d/10-logentries.conf").wont_include '$ActionSendStreamDriverMode 1'
      file("/etc/rsyslog.d/10-logentries.conf").must_include '*.*     @@api.logentries.com:10000;LogentriesFormat'
    end
  end

  it "rsyslog-gnutls package" do
    if node['logentries']['enable_tls']
      package("rsyslog-gnutls").must_be_installed
    else
      package("rsyslog-gnutls").wont_be_installed
    end
  end
end